#include <iostream.h>
#include <getopt.h>

#include "sfdb_display.h"

static char *dbname = 0;
static int play_selections = 1;

int
process_options (int *argc, char **argv[])

{
	struct option long_options[] = {
		{ "db", 1, 0, 'd'},
		{ "play", 0, &play_selections, 1 },
		{ "noplay", 0, &play_selections, 0 }
	};
	int c;
	int option_index;

	while (1) {
		if ((c = getopt_long (*argc, *argv, "d:p:",
				      long_options, &option_index)) == -1) {
			break;
		}
		switch (c) {
		case 0:
			break;

		case 'd':
			dbname = optarg;
			break;

		case 'p':
			play_selections = atoi (optarg);
			break;

		default:
			cerr << *argv[0]
			     << ": usage: -d dbfile"
			     << endl;
			return 1;
		}
	}

	if (dbname == 0) {
		cerr << *argv[0]
		     << ": usage: -d dbfile"
		     << endl;
		return 1;
	}

	return 0;
}

main (int argc, char *argv[])

{
	Gtk_Main theMain (&argc, &argv);
	Gtk_Window window;
	sfdbDisplay *sfdb;
	
	if (process_options (&argc, &argv)) {
		return 1;
	}

	sfdb = new sfdbDisplay (dbname, play_selections);

	window.add (sfdb);
	window.set_title ("sfdb");
	window.set_usize (800, 400);
	window.show_all ();

	theMain.run ();
}


