#include <stdio.h>
#include <getopt.h>

#include "sfdb.h"

main (int argc, char *argv[])

{
	static struct option long_options[] = {
		{ "create", 2, 0, 'c' },
		{ "list", 0, 0, 'l' },
		{ "add", 1, 0, 'a' },
		{ "db", 1, 0, 'd' }
	};
	int c;
	int option_index = 0;
	char *dbname = NULL;

	while (1) {
		if ((c = getopt_long (argc, argv, "d:c::la:", 
				      long_options, &option_index)) == -1) {
			break;
		}

		switch (c) {
		case 'a':
			add_to_db (dbname, optarg, 0);
			break;
		case 'd':
			dbname = optarg;
			break;
		case 'c':
			create_db (dbname, optarg);
			break;
		case 'l':
			list_db (dbname);
			break;

		case '?':
		default:
			fprintf (stderr, 
				 "%s: usage: -d dbname [ -c | -l | -a dir ]\n",
				 basename (argv[0]));
			return -1;
		}
	}

	return 0;
}

			 
