#ifndef __sfdb_display_h__
#define __sfdb_display_h__

#include <sys/types.h>
#include <gtk--.h>

#include "selector.h"

#define SFDB_PLAYER_DEFAULT "/usr/local/bin/sndplay"

class sfdbDisplay : public Gtk_VBox

{
  public:
	sfdbDisplay (char *dbname, bool play_selections = true);
	~sfdbDisplay ();
	
	static const size_t Columns = 6;
	
  private:
	char *dbname;
	bool play_on_select;
	
	Gtk_Selector selector;
	Gtk_Button stop_play_button;
	Gtk_Button exit_button;
	Gtk_Button rescan_button;
	Gtk_Button add_dir_button;
	Gtk_Entry dir_entry;
	Gtk_HBox bottom_row;
	Gtk_HSeparator rule1;
	Gtk_HSeparator rule2;
	Gtk_HSeparator rule3;
	Gtk_VBox db_vpacker;
	Gtk_HBox db_hpacker;
	
	pid_t current_pid;
	
	void stop_play ();
	void rescan ();
	void exit ();
	void add_dir ();
	
	void file_selected (Gtk_Selector *, SelectionResult *);
	
	static const gchar *column_titles[Columns];
};

#endif __sfdb_display_h__
